update android Build Tools revision to 28.0.3

I updated the android stadio to version '3.2.1' and the android stadio asked me to update something like tools.build:gradle to 3.2.1 and i did, Now the gradle version is 4.6 and it says Failed to find Build Tools revision 28.0.3. i tried to install it but some error occur that informed 'the packages are not available for download'. what the hell wrong with it? wish i never updated it

Read Build Tools, Revision 28.0.3 (September 2018)

You should always keep your Build Tools component updated by downloading the latest version using the Android SDK Manager. If you're using Android plugin for Gradle 3.0.0 or higher, your project automatically uses a default version of the build tools that the plugin specifies.

android {
    buildToolsVersion "28.0.3"
    ...
}

Your gradle-wrapper.properties will

distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.2-all.zip

Your build.gradle classpath will

dependencies {
        classpath 'com.android.tools.build:gradle:3.3.0-alpha12'
    }

FYI

It will be better if you use

android {
    buildToolsVersion "28.0.2"
    ...
}

Finally, Clean-Rebuild-Restart IDE

update android Build Tools revision to 28.0.3, Read Build Tools, Revision 28.0.3 (September 2018). You should always keep your Build Tools component updated by downloading the latest  Build Tools, Revision 28.0.3 (September 2018) This update includes support for Android Gradle plugin 3.2.0 and fixes the following issues: Fixed a JNI library bug that caused apps to crash when calling androidx.renderscript.RenderScript.create() .

I got stuck with the same problem. After digging in code's log it says sdk doesn't have permission or that it was readable only. So I open Android Studio in administrator mode(right click on the icon-> run as administrator) and then I could install build Tools revision. This works for me.

How to change build tools version in Android Studio 3.0.1?, gradle file (in the 'app' module). Open the file and either add or update the Build Tools version you want to use by adding/updating the following  Build Tools, Revision 28.0.3 (September 2018) This update includes support for Android Gradle plugin 3.2.0 and fixes the following issues: Fixed a JNI library bug that caused apps to crash when calling androidx.renderscript.RenderScript.create() .

I have the same problem and fixed it this way:

  1. Find the sdk-manager path and run it directly. (Without android studio!)
  2. Accept the therms.
  3. Use android studio and gradle normally.

Download Build tools for Android SDK Manager, Download Android SDK Build-tools 19.1.1 , 20.0.0 , 21.1.1 , 22.0.0 , 23.0.0 Android SDK Build-Tools 28.3.0, tools, 28.0.3, 55.15 MB, 54.49 MB, 55.69 MB. update android Build Tools revision to 28.0.3. 400. October 30, 2018, at 1:20 PM. I updated the android stadio to version '3.2.1' and the android stadio asked me to update something like tools.build:gradleto 3.2.1and i did,

update android Build Tools revision to 28.0.3, I updated the android stadio to version '3.2.1' and the android stadio asked me to update something like tools.build:gradle to 3.2.1 and i did, Now the gradle  The Online Android SDK Manager is a online tool that allows you to Download and update packages for the Android SDK. Android SDK Build-Tools 28.3.0 : tools: 28.0

Failed to find build tools revision, If it doesn't work, use SDK Manager to install build tools version you want. Match build.gradle file update android Build Tools revision to 28.0.3. I updated the  tools/android update sdk --no-ui -t platform-tool When I tried this the other day I got version 18.0.0 of the build tools installed. For some reason the latest version 18.0.1 is not included by this filter and the only way to get it was to install everything with the --all switch.

Installing Android SDK Tools, Installing the Android SDK (Automated Way). Gradle 2.2.0 now supports downloading automatically dependencies. Make sure to upgrade to the latest Gradle  Android SDK Platform-tools, revision 23.0.1. and many more. Then, execute the command (attention! at your computer the third option may be different): $android update sdk -a -u -t 3. It will install the 23.0.1 SDK Platform-tools components. Try to build your project again.

Comments
  • Maybe it'll help stackoverflow.com/a/47086581/4773117
  • 28.0.3 is not exist in the list of SDK manager update
  • Anybody knows how to overcome this problem ?
  • paste gradle code here. also degrade libraries to 28.0.2 and navigate to platformtools in android directory and remove 28.0.3 folder if there is any
  • gradle-4.10.2 just has helped me. (it was 4.10.0 before)